FILE* configFile = NULL;



bool config_open(const char* filename)
{
	configFile=xfopen(filename,"rt");

	return configFile?true:false;
}



void config_close(void)
{
	if(configFile)
	{
		xfclose(configFile);
		configFile=NULL;
	}
}



int config_read_int(const char* name,int val)
{
	char param[1024],line[1024];

	strncpy(param, name, sizeof(param));
	strncat(param, "=", sizeof(param));

	if(configFile)
	{
		xfseek(configFile,0,SEEK_SET);

		while(xfgets(line,sizeof(line),configFile))
		{
			if(strstr(line,param))
			{
				sscanf(&line[strlen(param)],"%i",&val);
			}
		}
	}

	return val;
}



const char* config_read_string(const char* name,const char* str)
{
	static char param[1024];
	char line[1024];

	strncpy(param, name, sizeof(param));
	strncat(param, "=", sizeof(param));

	if(configFile)
	{
		xfseek(configFile,0,SEEK_SET);

		while(xfgets(line,sizeof(line),configFile))
		{
			if(strstr(line,param))
			{
				sscanf(&line[strlen(param)],"%s",&param);
				return param;
			}
		}
	}

	return str;
}